Вернуться   HitForum - Форумы Мариупольской Городской Сети > HiTech > Web-разработка

Web-разработка веб-дизайн и программирование, обсуждения сайтов

Ответ
 
Опции темы
Старый 15.01.2007, 17:41   #1
Местный житель
 
Аватар для Adrian
 
Мужчина
Регистрация: 10.12.2005
Адрес: 193.43.254.128/25
Сообщений: 191
Вес репутации: 14 Adrian стоит на развилке

Отправить сообщение для Adrian с помощью ICQ
Указатель PHP и MySQL

Написал простой скрипт на запрос в базу данных, впервые после переустановки Windows, установил MySQL сервер, запустил скрипт и получил ошибку с которой я не сталкивался. Со второй ошибкой я знаком.

Цитата:
Warning: mysql_connect(): Client does not support authentication protocol requested by server; consider upgrading MySQL client in c:\program files\servercore\www\noname1.php on line 8

Warning: mysql_select_db(): supplied argument is not a valid MySQL-Link resource in c:\program files\servercore\www\noname1.php on line 9
cannot connect to local database0
Кто-нибудь подскажет пожалуйста, как это исправить?
Adrian вне форума   Ответить с цитированием
Старый 15.01.2007, 21:06   #2
Местный житель
 
Аватар для Adrian
 
Мужчина
Регистрация: 10.12.2005
Адрес: 193.43.254.128/25
Сообщений: 191
Вес репутации: 14 Adrian стоит на развилке

Отправить сообщение для Adrian с помощью ICQ
По умолчанию

Ну что, глухо? Мда...
Adrian вне форума   Ответить с цитированием
Старый 15.01.2007, 21:43   #3
Гуру
 
Аватар для Wandering Star
 
Мужчина
Регистрация: 05.05.2004
Адрес: Киев
Сообщений: 2,938
Вес репутации: 97 Wandering Star супергеройWandering Star супергеройWandering Star супергеройWandering Star супергеройWandering Star супергеройWandering Star супергеройWandering Star супергеройWandering Star супергеройWandering Star супергеройWandering Star супергеройWandering Star супергерой


По умолчанию

Читаем сюда: [Только зарегистрированные пользователи могут видеть ссылки. Регистрация!]
потом через консоль задаем пользователю пароль с использованием OLD_PASSWORD() - на странице расписано как.

Дело в том, что старые версии PHP не поддерживают протокол шифрования введенный в MySQL с версии 4.1.1. Так что, если не лень, то стоит php обновить, и еще его стоит обновить, потому что я такой ошибки уже год как не помню ... так что у вас там вообще антиквариат стоит ...

А вот апать темы через 3 часа я бы вам очень не советовал - в следующий раз вместо ответа на пару дней забаню.
Wandering Star вне форума   Ответить с цитированием
Ответ

  HitForum - Форумы Мариупольской Городской Сети > HiTech > Web-разработка


Здесь присутствуют: 1 (пользователей: 0 , гостей: 1)
 
Опции темы

Ваши права в разделе
Вы не можете создавать новые темы
Вы не можете отвечать в темах
Вы не можете прикреплять вложения
Вы не можете редактировать свои сообщения

BB code is Вкл.
Смайлы Вкл.
[IMG] код Вкл.
HTML код Выкл.
Быстрый переход

© 2003 - HitLine.
Часовой пояс GMT +3, время: 21:01.